Subject: Re: Undo last commit?

From: Jakub Narebski <[email-masked]>
Date: Sat, 11 Feb 2012 23:07:09 +0100

Please do not top-post, and do not remove git mailing list from Cc.
Sorry for double posting; forgot to re-add [email-masked]

On Sat, 11 Feb 2012, Mike ??? wrote:
> 2012/2/11 Neal Kreitzinger <[email-masked]>
> > On 6/28/2011 8:57 AM, Holger Hellmuth wrote:
> > >
> > > It would be a nice companion to the not-yet-realized "git unadd" ;-)
> >
> > or perhaps "git unstage"...
>
> If lot's of people have the same problem then it IS a design flaw. If
> something is designed well and genuinely intuitive then they just work.
> Think iPhone, iPod, some DVD players and other well designed user
> interfaces. The same goes for command line tools... the options should have
> names that don't have any ambiguity.
> 
Many of problems with git user interface have their source from the fact
that git, including its interface, was evolved rather than created using
big-design-upfront workflow.  And it _had_ to be evolved, as there was not
much of prior art (well, not good prior art) in the area of DVCS.

Besides, as they say:

  The only "intuitive" interface is the nipple. After that it's all learned.

                                                             -- Bruce Ediger

> Techie guys almost always blame the users, this is a very bad attitude. For
> example I've met so many techies that THINK they can design websites...
> err... they can't. They CAN program sure, but they CAN'T design the user
> experience properly as that is not their expertise. Just as we wouldn't
> expect a graphic designer or user interface specialist to do the coding.
> 
There is also problem in that you need to know git well to _code_ interface;
and when you know git well you don't notice no longer the problems that you
had as a newbie.

On the other hand new git users sometimes have problems distinguishing
between accidental complexity of bad UI design, and essential complexity
of a powerfull and flexible tool.

[...]

So, Mike, will you bitch or will you try to help?

-- 
Jakub Narebski
Poland